# SoVRMLVertexLine Class Reference

`#include <Inventor/VRMLnodes/SovRMLVertexLine.h>`

Inheritance diagram for SoVRMLVertexLine:

List of all members.

## Detailed Description

The SoVRMLVertexLine class is a superclass for line based VRML geometry.

## Public Member Functions

virtual void | doAction (SoAction *action)
virtual void | GLRender (SoGLRenderAction *action)
virtual void | getBoundingBox (SoGetBoundingBoxAction *action)
virtual void | callback (SoCallbackAction *action)
virtual void | pick (SoPickAction *action)
virtual void | notify (SoNotList *list)

## Static Public Member Functions

void | initClass (void)

## Public Attributes

SoSFNode | coord
SoSFNode | color
SoSFBool | colorPerVertex

## Protected Member Functions

| SoVRMLVertexLine (void)
virtual | ~SoVRMLVertexLine ()
virtual SbBool | shouldGLRender (SoGLRenderAction *action)

## Constructor & Destructor Documentation

SoVRMLVertexLine::SoVRMLVertexLine | ( | void |  | ) | `[protected]`

| Constructor.

SoVRMLVertexLine::~SoVRMLVertexLine | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoVRMLVertexLine::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoVRMLGeometry. Reimplemented in SoVRMLIndexedLine, and SoVRMLIndexedLineSet.

void SoVRMLVertexLine::doAction | ( | SoAction * | action | ) | `[virtual]`

| This function performs the typical operation of a node for any action. Reimplemented from SoNode.

void SoVRMLVertexLine::GLRender | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Action method for the SoGLRenderAction. This is called during rendering traversals. Nodes influencing the rendering state in any way or who wants to throw geometry primitives at OpenGL overrides this method. Reimplemented from SoShape. Reimplemented in SoVRMLIndexedLineSet.

void SoVRMLVertexLine::getBoundingBox | ( | SoGetBoundingBoxAction * | action | ) | `[virtual]`

Action method for the SoGetBoundingBoxAction.

Calculates bounding box and center coordinates for node and modifies the values of the action to encompass the bounding box for this node and to shift the center point for the scene more towards the one for this node.

Nodes influencing how geometry nodes calculates their bounding box also overrides this method to change the relevant state variables.

Reimplemented from SoShape.

Reimplemented in SoVRMLIndexedLineSet.

void SoVRMLVertexLine::callback | ( | SoCallbackAction * | action | ) | `[virtual]`

| Action method for SoCallbackAction. Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph. Reimplemented from SoShape.

void SoVRMLVertexLine::pick | ( | SoPickAction * | action | ) | `[virtual]`

| Action method for SoPickAction. Does common processing for SoPickAction action instances. Reimplemented from SoNode.

void SoVRMLVertexLine::notify | ( | SoNotList * | list | ) | `[virtual]`

| Notifies all auditors for this instance when changes are made. Reimplemented from SoVRMLGeometry. Reimplemented in SoVRMLIndexedLine.

SbBool SoVRMLVertexLine::shouldGLRender | ( | SoGLRenderAction * | action | ) | `[protected, virtual]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer. Reimplemented from SoVRMLGeometry.

## Member Data Documentation

SoSFNode SoVRMLVertexLine::coord

| Should contain an SoVRMLCoordinate node.

SoSFNode SoVRMLVertexLine::color

| Can contain an SoVRMLColor node if multiple colors are wanted.

SoSFBool SoVRMLVertexLine::colorPerVertex

| When TRUE, colors will be bound per vertex, otherwise per line. Default value is TRUE.

The documentation for this class was generated from the following files:

- SoVRMLVertexLine.h
- VertexLine.cpp